Package org.apache.groovy.yaml.util

# Class YamlConverter

java.lang.Object
org.apache.groovy.yaml.util.YamlConverter

public final class YamlConverter extends Object
A converter for converting YAML to JSON, vice versa

Since:
  3.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `convertJsonToYaml(Reader jsonReader)`
  Convert json to yaml
  `static String`
  `convertYamlToJson(Reader yamlReader)`
  Convert yaml to json

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### convertYamlToJson

    public static String convertYamlToJson(Reader yamlReader)
    Convert yaml to json
    Parameters:
      `yamlReader` - the reader of yaml
    Returns:
      the text of json

  - ### convertJsonToYaml

    public static String convertJsonToYaml(Reader jsonReader)
    Convert json to yaml
    Parameters:
      `jsonReader` - the reader of json
    Returns:
      the text of yaml